import { IsNotEmpty, IsString } from 'class-validator'

export class UpdateUserDto {
  @IsString()
  @IsNotEmpty()
  email: string

  @IsString()
  @IsNotEmpty()
  racerName: string

  @IsString()
  @IsNotEmpty()
  firstName: string

  @IsString()
  @IsNotEmpty()
  lastName: string

  @IsString()
  @IsNotEmpty()
  country: string

  @IsString()
  @IsNotEmpty()
  profileType: string

  @IsString()
  @IsNotEmpty()
  birthDate: string
}
