import { IsArray, IsObject, IsString } from 'class-validator'

export class ProfileAdvancedSearchDto {
  @IsString()
  email?: string

  @IsString()
  profileGroup?: string

  @IsString()
  profileType?: string

  @IsString()
  name?: string

  @IsArray()
  countries?: string[]

  @IsString()
  fromDate?: string

  @IsString()
  toDate?: string

  @IsObject()
  attributes?: Record<string, any>

  @IsArray()
  interests?: string[]
}
